Bullet Collision Detection & Physics Library: Bullet::btHingeConstraintDoubleData Class Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
Bullet::btHingeConstraintDoubleData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btHingeConstraintDoubleData:
[legend]

## Public Attributes
btTypedConstraintData | m_typeConstraintData
btTransformDoubleData | m_rbAFrame
btTransformDoubleData | m_rbBFrame
int | m_useReferenceFrameA
int | m_angularOnly
int | m_enableAngularMotor
float | m_motorTargetVelocity
float | m_maxMotorImpulse
float | m_lowerLimit
float | m_upperLimit
float | m_limitSoftness
float | m_biasFactor
float | m_relaxationFactor

## Detailed Description

Definition at line 837 of file bullet.h.

## Member Data Documentation

## § m_angularOnly

int Bullet::btHingeConstraintDoubleData::m_angularOnly

Definition at line 844 of file bullet.h.

## § m_biasFactor

float Bullet::btHingeConstraintDoubleData::m_biasFactor

Definition at line 851 of file bullet.h.

## § m_enableAngularMotor

int Bullet::btHingeConstraintDoubleData::m_enableAngularMotor

Definition at line 845 of file bullet.h.

## § m_limitSoftness

float Bullet::btHingeConstraintDoubleData::m_limitSoftness

Definition at line 850 of file bullet.h.

## § m_lowerLimit

float Bullet::btHingeConstraintDoubleData::m_lowerLimit

Definition at line 848 of file bullet.h.

## § m_maxMotorImpulse

float Bullet::btHingeConstraintDoubleData::m_maxMotorImpulse

Definition at line 847 of file bullet.h.

## § m_motorTargetVelocity

float Bullet::btHingeConstraintDoubleData::m_motorTargetVelocity

Definition at line 846 of file bullet.h.

## § m_rbAFrame

btTransformDoubleData Bullet::btHingeConstraintDoubleData::m_rbAFrame

Definition at line 841 of file bullet.h.

## § m_rbBFrame

btTransformDoubleData Bullet::btHingeConstraintDoubleData::m_rbBFrame

Definition at line 842 of file bullet.h.

## § m_relaxationFactor

float Bullet::btHingeConstraintDoubleData::m_relaxationFactor

Definition at line 852 of file bullet.h.

## § m_typeConstraintData

btTypedConstraintData Bullet::btHingeConstraintDoubleData::m_typeConstraintData

Definition at line 840 of file bullet.h.

## § m_upperLimit

float Bullet::btHingeConstraintDoubleData::m_upperLimit

Definition at line 849 of file bullet.h.

## § m_useReferenceFrameA

int Bullet::btHingeConstraintDoubleData::m_useReferenceFrameA

Definition at line 843 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h